--- old/usr/src/uts/common/sys/mman.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/mman.h	Sat Aug  2 23:27:23 2014
@@ -21,6 +21,8 @@
 
 /* Copyright 2013 OmniTI Computer Consulting, Inc. All rights reserved. */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -221,7 +223,6 @@
  * Except for old binaries mmap() will return the resultant
  * address of mapping on success and (caddr_t)-1 on error.
  */
-#ifdef	__STDC__
 #if (_POSIX_C_SOURCE > 2) || defined(_XPG4_2)
 extern void *mmap(void *, size_t, int, int, int, off_t);
 extern int munmap(void *, size_t);
@@ -276,34 +277,7 @@
 /* mmap failure value */
 #define	MAP_FAILED	((void *) -1)
 
-#else	/* __STDC__ */
-extern caddr_t mmap();
-extern int munmap();
-extern int mmapobj();
-extern int mprotect();
-extern int mincore();
-extern int memcntl();
-extern int msync();
-extern int madvise();
-extern int posix_madvise();
-extern int getpagesizes();
-extern int getpagesizes2();
-extern int mlock();
-extern int mlockall();
-extern int munlock();
-extern int munlockall();
-extern int meminfo();
-extern int shm_open();
-extern int shm_unlink();
 
-/* transitional large file interface version */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern caddr_t mmap64();
-#endif	/* _LARGEFILE64_SOURCE... */
-#endif	/* __STDC__ */
-
-
 #endif	/* !_ASM && !_KERNEL */
 
 #if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
@@ -388,7 +362,7 @@
 /* definitions for meminfosys syscall */
 #define	MISYS_MEMINFO		0x0
 
-#if !defined(_ASM) && defined(__STDC__)
+#if !defined(_ASM)
 
 #if defined(_INT64_TYPE)
 /* private structure for meminfo */
@@ -411,7 +385,7 @@
 } meminfo32_t;
 #endif /* defined(_SYSCALL32) */
 
-#endif /* !defined(_ASM) && defined(__STDC__) */
+#endif /* !defined(_ASM) */
 
 /*
  * info_req request type definitions for meminfo
